<?php

namespace app\admin\controller\goods;

use app\admin\service\goods\PartnerService;
use app\admin\validate\goods\GoodsValidate;
use support\Request;
use support\Response;

class PartnerController
{
    /**
     * @Desc 商品详情
     * @Author Gorden
     * @Date 2024/3/28 10:25
     *
     * @param Request $request
     * @return Response
     */
    public function info(Request $request)
    {
        $validate = new GoodsValidate();
        if (!$validate->scene('info')->check($request->get())) {
            return json_fail($validate->getError());
        }

        return PartnerService::info($request->get('goods_id'));
    }
    /**
     * @Desc 修改商品
     * @Author Gorden
     * @Date 2024/3/28 13:22
     *
     * @param Request $request
     * @return Response
     */
    public function update(Request $request): Response
    {
        $validate = new GoodsValidate();
        if (!$validate->scene('update')->check($request->post())) {
            return json_fail($validate->getError());
        }
        return PartnerService::update($request->post());
    }
}